Package com.evopdf

# Class PdfPage

java.lang.Object
com.evopdf.ElementsRenderer
com.evopdf.PdfPage

public class PdfPage extends ElementsRenderer
Represents a PDF document page

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addElement(PageElement pageElement)`
  Add the given PDF element to this PDF page
  `int`
  `index()`
  Gets the index of this page in the parent PDF document
  `boolean`
  `isLoadedPage()`
  Gets the flag indicating if this page was loaded from another PDF document
  `PdfMargins`
  `margins()`
  Gets the page margins
  `PdfPageOrientation`
  `orientation()`
  Gets the PDF page orientation
  `PdfPageSize`
  `pageSize()`
  Gets the size in points of this PDF page
  `RotationAngle`
  `rotationAngle()`
  Gets the PDF page rotation angle
  `void`
  `setShowFooter(boolean showFooter)`
  Sets the flag indicating if the footer can be displayed on this PDF page
  `void`
  `setShowHeader(boolean showHeader)`
  Sets the flag indicating if the header can be displayed on this PDF page
  `boolean`
  `showFooter()`
  Gets the flag indicating if the footer can be displayed on this PDF page
  `boolean`
  `showHeader()`
  Gets the flag indicating if the header can be displayed on this PDF page

  ### Methods inherited from class com.evopdf.ElementsRenderer

  `parentDocument, setParentDocument`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### isLoadedPage

    public boolean isLoadedPage()
    Gets the flag indicating if this page was loaded from another PDF document
    Returns:
      the flag value

  - ### index

    public int index()
    Gets the index of this page in the parent PDF document
    Returns:
      the index of this page in the parent PDF document

  - ### pageSize

    public PdfPageSize pageSize()
    Gets the size in points of this PDF page
    Returns:
      the size in points of this PDF page

  - ### orientation

    public PdfPageOrientation orientation()
    Gets the PDF page orientation
    Returns:
      the PDF page orientation

  - ### rotationAngle

    public RotationAngle rotationAngle()
    Gets the PDF page rotation angle
    Returns:
      the PDF page rotation angle

  - ### margins

    public PdfMargins margins()
    Gets the page margins
    Returns:
      the page margins

  - ### showHeader

    public boolean showHeader()
    Gets the flag indicating if the header can be displayed on this PDF page
    Returns:
      the flag value

  - ### setShowHeader

    public void setShowHeader(boolean showHeader)
    Sets the flag indicating if the header can be displayed on this PDF page
    Parameters:
      `showHeader` - the flag value to set

  - ### showFooter

    public boolean showFooter()
    Gets the flag indicating if the footer can be displayed on this PDF page
    Returns:
      the flag value

  - ### setShowFooter

    public void setShowFooter(boolean showFooter)
    Sets the flag indicating if the footer can be displayed on this PDF page
    Parameters:
      `showFooter` - the flag value to set

  - ### addElement

    public void addElement(PageElement pageElement)
    Add the given PDF element to this PDF page
    Specified by:
      `addElement` in class `ElementsRenderer`
    Parameters:
      `pageElement` - the element to be added to this page